[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TIDesigner.IsDesignMsg

Checks a message received from the Sender argument, and returns True if it is a design message.

## Declaration

Source position: forms.pp line 1911

`public function TIDesigner.IsDesignMsg(`
`Sender: TControl;`
`var Message: TLMessage`
`):Boolean; virtual; abstract;`

## Arguments

`Sender` |  | Object instance (TControl) where the specified message originated.
`Message` |  | Message examined in the method.

## Function result

True if the message is targeted at the designer class instance.